Bug 201536 - Xvfb leaks memory
Xvfb leaks memory
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-07 04:16 EDT by Need Real Name
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 09:26:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A picture to reproduce memory leak in Xvfb (101.62 KB, image/png)
2006-08-07 04:16 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2006-08-07 04:16:21 EDT
Description of problem:
When Xvfb is used it leaks memory.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xvfb-1.0.1-9.fc5.5

How reproducible:
always

Steps to Reproduce:
1. start Xvfb
    /usr/bin/Xvfb :1 -screen 0 1024x768x8 -nolisten inet6 -fp unix/:7100 &
2. export DISPLAY=:1.0
3. In a loop start the following command an kill it with Ctrl c:
    display mvp1000.png
  
Actual results:
Memory usage of process Xfvb constandly goes up.

Expected results:
Memory usage should not always increase.

Additional info:
On a system generating lots of pictures I saw Xvfb using nearly 2GB of memory
after approx. 10 days.
Comment 1 Need Real Name 2006-08-07 04:16:23 EDT
Created attachment 133716 [details]
A picture to reproduce memory leak in Xvfb
Comment 2 Matěj Cepl 2007-07-03 09:49:43 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matěj Cepl 2007-08-03 09:26:16 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.